ld x86_64 tests: Accept x86-64-v3 as a needed ISA
[binutils-gdb.git] / gas / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 2012-2023 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; see the file COPYING3. If not see
32 # <http://www.gnu.org/licenses/>.
33 #
34
35 #
36 # Copyright (C) 2012-2023 Free Software Foundation, Inc.
37 #
38 # This file is free software; you can redistribute it and/or modify
39 # it under the terms of the GNU General Public License as published by
40 # the Free Software Foundation; either version 3 of the License, or
41 # (at your option) any later version.
42 #
43 # This program is distributed in the hope that it will be useful,
44 # but WITHOUT ANY WARRANTY; without even the implied warranty of
45 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
46 # GNU General Public License for more details.
47 #
48 # You should have received a copy of the GNU General Public License
49 # along with this program; see the file COPYING3. If not see
50 # <http://www.gnu.org/licenses/>.
51 #
52
53
54 VPATH = @srcdir@
55 am__is_gnu_make = { \
56 if test -z '$(MAKELEVEL)'; then \
57 false; \
58 elif test -n '$(MAKE_HOST)'; then \
59 true; \
60 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
61 true; \
62 else \
63 false; \
64 fi; \
65 }
66 am__make_running_with_option = \
67 case $${target_option-} in \
68 ?) ;; \
69 *) echo "am__make_running_with_option: internal error: invalid" \
70 "target option '$${target_option-}' specified" >&2; \
71 exit 1;; \
72 esac; \
73 has_opt=no; \
74 sane_makeflags=$$MAKEFLAGS; \
75 if $(am__is_gnu_make); then \
76 sane_makeflags=$$MFLAGS; \
77 else \
78 case $$MAKEFLAGS in \
79 *\\[\ \ ]*) \
80 bs=\\; \
81 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
82 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
83 esac; \
84 fi; \
85 skip_next=no; \
86 strip_trailopt () \
87 { \
88 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
89 }; \
90 for flg in $$sane_makeflags; do \
91 test $$skip_next = yes && { skip_next=no; continue; }; \
92 case $$flg in \
93 *=*|--*) continue;; \
94 -*I) strip_trailopt 'I'; skip_next=yes;; \
95 -*I?*) strip_trailopt 'I';; \
96 -*O) strip_trailopt 'O'; skip_next=yes;; \
97 -*O?*) strip_trailopt 'O';; \
98 -*l) strip_trailopt 'l'; skip_next=yes;; \
99 -*l?*) strip_trailopt 'l';; \
100 -[dEDm]) skip_next=yes;; \
101 -[JT]) skip_next=yes;; \
102 esac; \
103 case $$flg in \
104 *$$target_option*) has_opt=yes; break;; \
105 esac; \
106 done; \
107 test $$has_opt = yes
108 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
109 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
110 pkgdatadir = $(datadir)/@PACKAGE@
111 pkgincludedir = $(includedir)/@PACKAGE@
112 pkglibdir = $(libdir)/@PACKAGE@
113 pkglibexecdir = $(libexecdir)/@PACKAGE@
114 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
115 install_sh_DATA = $(install_sh) -c -m 644
116 install_sh_PROGRAM = $(install_sh) -c
117 install_sh_SCRIPT = $(install_sh) -c
118 INSTALL_HEADER = $(INSTALL_DATA)
119 transform = $(program_transform_name)
120 NORMAL_INSTALL = :
121 PRE_INSTALL = :
122 POST_INSTALL = :
123 NORMAL_UNINSTALL = :
124 PRE_UNINSTALL = :
125 POST_UNINSTALL = :
126 build_triplet = @build@
127 host_triplet = @host@
128 target_triplet = @target@
129 noinst_PROGRAMS = as-new$(EXEEXT)
130 EXTRA_PROGRAMS = itbl-test$(EXEEXT)
131 subdir = .
132 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
133 am__aclocal_m4_deps = $(top_srcdir)/../bfd/acinclude.m4 \
134 $(top_srcdir)/../bfd/warning.m4 $(top_srcdir)/../config/acx.m4 \
135 $(top_srcdir)/../config/depstand.m4 \
136 $(top_srcdir)/../config/gettext-sister.m4 \
137 $(top_srcdir)/../config/jobserver.m4 \
138 $(top_srcdir)/../config/largefile.m4 \
139 $(top_srcdir)/../config/lcmessage.m4 \
140 $(top_srcdir)/../config/lead-dot.m4 \
141 $(top_srcdir)/../config/nls.m4 \
142 $(top_srcdir)/../config/override.m4 \
143 $(top_srcdir)/../config/pkg.m4 \
144 $(top_srcdir)/../config/plugins.m4 \
145 $(top_srcdir)/../config/po.m4 \
146 $(top_srcdir)/../config/progtest.m4 \
147 $(top_srcdir)/../config/zlib.m4 \
148 $(top_srcdir)/../config/zstd.m4 $(top_srcdir)/../libtool.m4 \
149 $(top_srcdir)/../ltoptions.m4 $(top_srcdir)/../ltsugar.m4 \
150 $(top_srcdir)/../ltversion.m4 $(top_srcdir)/../lt~obsolete.m4 \
151 $(top_srcdir)/acinclude.m4 $(top_srcdir)/../bfd/version.m4 \
152 $(top_srcdir)/configure.ac
153 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154 $(ACLOCAL_M4)
155 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
156 $(am__configure_deps)
157 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
158 configure.lineno config.status.lineno
159 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
160 CONFIG_HEADER = config.h
161 CONFIG_CLEAN_FILES = gdb.ini .gdbinit po/Makefile.in
162 CONFIG_CLEAN_VPATH_FILES =
163 PROGRAMS = $(noinst_PROGRAMS)
164 am__objects_1 = app.$(OBJEXT) as.$(OBJEXT) atof-generic.$(OBJEXT) \
165 codeview.$(OBJEXT) compress-debug.$(OBJEXT) cond.$(OBJEXT) \
166 depend.$(OBJEXT) dwarf2dbg.$(OBJEXT) dw2gencfi.$(OBJEXT) \
167 ecoff.$(OBJEXT) ehopt.$(OBJEXT) expr.$(OBJEXT) \
168 flonum-copy.$(OBJEXT) flonum-konst.$(OBJEXT) \
169 flonum-mult.$(OBJEXT) frags.$(OBJEXT) gen-sframe.$(OBJEXT) \
170 hash.$(OBJEXT) input-file.$(OBJEXT) input-scrub.$(OBJEXT) \
171 listing.$(OBJEXT) literal.$(OBJEXT) macro.$(OBJEXT) \
172 messages.$(OBJEXT) output-file.$(OBJEXT) read.$(OBJEXT) \
173 remap.$(OBJEXT) sb.$(OBJEXT) sframe-opt.$(OBJEXT) \
174 stabs.$(OBJEXT) subsegs.$(OBJEXT) symbols.$(OBJEXT) \
175 write.$(OBJEXT)
176 am_as_new_OBJECTS = $(am__objects_1)
177 am__dirstamp = $(am__leading_dot)dirstamp
178 as_new_OBJECTS = $(am_as_new_OBJECTS)
179 am__DEPENDENCIES_1 =
180 am__DEPENDENCIES_2 = ../bfd/libbfd.la ../libiberty/libiberty.a
181 AM_V_lt = $(am__v_lt_@AM_V@)
182 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
183 am__v_lt_0 = --silent
184 am__v_lt_1 =
185 am_itbl_test_OBJECTS = itbl-parse.$(OBJEXT) itbl-lex.$(OBJEXT)
186 itbl_test_OBJECTS = $(am_itbl_test_OBJECTS)
187 itbl_test_DEPENDENCIES = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ \
188 $(am__DEPENDENCIES_2)
189 SCRIPTS = $(noinst_SCRIPTS)
190 AM_V_P = $(am__v_P_@AM_V@)
191 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
192 am__v_P_0 = false
193 am__v_P_1 = :
194 AM_V_GEN = $(am__v_GEN_@AM_V@)
195 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
196 am__v_GEN_0 = @echo " GEN " $@;
197 am__v_GEN_1 =
198 AM_V_at = $(am__v_at_@AM_V@)
199 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
200 am__v_at_0 = @
201 am__v_at_1 =
202 DEFAULT_INCLUDES = -I.@am__isrc@
203 depcomp = $(SHELL) $(top_srcdir)/../depcomp
204 am__depfiles_maybe = depfiles
205 am__mv = mv -f
206 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
207 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
208 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
210 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
211 $(AM_CFLAGS) $(CFLAGS)
212 AM_V_CC = $(am__v_CC_@AM_V@)
213 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
214 am__v_CC_0 = @echo " CC " $@;
215 am__v_CC_1 =
216 CCLD = $(CC)
217 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
218 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
219 $(AM_LDFLAGS) $(LDFLAGS) -o $@
220 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
221 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
222 am__v_CCLD_0 = @echo " CCLD " $@;
223 am__v_CCLD_1 =
224 @MAINTAINER_MODE_FALSE@am__skiplex = test -f $@ ||
225 LEXCOMPILE = $(LEX) $(AM_LFLAGS) $(LFLAGS)
226 LTLEXCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
227 $(LIBTOOLFLAGS) --mode=compile $(LEX) $(AM_LFLAGS) $(LFLAGS)
228 AM_V_LEX = $(am__v_LEX_@AM_V@)
229 am__v_LEX_ = $(am__v_LEX_@AM_DEFAULT_V@)
230 am__v_LEX_0 = @echo " LEX " $@;
231 am__v_LEX_1 =
232 YLWRAP = $(top_srcdir)/../ylwrap
233 @MAINTAINER_MODE_FALSE@am__skipyacc = test -f $@ ||
234 am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
235 -e s/c++$$/h++/ -e s/c$$/h/
236 YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
237 LTYACCCOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
238 $(LIBTOOLFLAGS) --mode=compile $(YACC) $(AM_YFLAGS) $(YFLAGS)
239 AM_V_YACC = $(am__v_YACC_@AM_V@)
240 am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
241 am__v_YACC_0 = @echo " YACC " $@;
242 am__v_YACC_1 =
243 SOURCES = $(as_new_SOURCES) $(EXTRA_as_new_SOURCES) \
244 $(itbl_test_SOURCES)
245 AM_V_DVIPS = $(am__v_DVIPS_@AM_V@)
246 am__v_DVIPS_ = $(am__v_DVIPS_@AM_DEFAULT_V@)
247 am__v_DVIPS_0 = @echo " DVIPS " $@;
248 am__v_DVIPS_1 =
249 AM_V_MAKEINFO = $(am__v_MAKEINFO_@AM_V@)
250 am__v_MAKEINFO_ = $(am__v_MAKEINFO_@AM_DEFAULT_V@)
251 am__v_MAKEINFO_0 = @echo " MAKEINFO" $@;
252 am__v_MAKEINFO_1 =
253 AM_V_INFOHTML = $(am__v_INFOHTML_@AM_V@)
254 am__v_INFOHTML_ = $(am__v_INFOHTML_@AM_DEFAULT_V@)
255 am__v_INFOHTML_0 = @echo " INFOHTML" $@;
256 am__v_INFOHTML_1 =
257 AM_V_TEXI2DVI = $(am__v_TEXI2DVI_@AM_V@)
258 am__v_TEXI2DVI_ = $(am__v_TEXI2DVI_@AM_DEFAULT_V@)
259 am__v_TEXI2DVI_0 = @echo " TEXI2DVI" $@;
260 am__v_TEXI2DVI_1 =
261 AM_V_TEXI2PDF = $(am__v_TEXI2PDF_@AM_V@)
262 am__v_TEXI2PDF_ = $(am__v_TEXI2PDF_@AM_DEFAULT_V@)
263 am__v_TEXI2PDF_0 = @echo " TEXI2PDF" $@;
264 am__v_TEXI2PDF_1 =
265 AM_V_texinfo = $(am__v_texinfo_@AM_V@)
266 am__v_texinfo_ = $(am__v_texinfo_@AM_DEFAULT_V@)
267 am__v_texinfo_0 = -q
268 am__v_texinfo_1 =
269 AM_V_texidevnull = $(am__v_texidevnull_@AM_V@)
270 am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
271 am__v_texidevnull_0 = > /dev/null
272 am__v_texidevnull_1 =
273 INFO_DEPS = doc/as.info
274 TEXINFO_TEX = $(top_srcdir)/../texinfo.tex
275 am__TEXINFO_TEX_DIR = $(top_srcdir)/..
276 DVIS = doc/as.dvi
277 PDFS = doc/as.pdf
278 PSS = doc/as.ps
279 HTMLS = doc/as.html
280 TEXINFOS = doc/as.texi
281 TEXI2PDF = $(TEXI2DVI) --pdf --batch
282 MAKEINFOHTML = $(MAKEINFO) --html
283 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
284 DVIPS = dvips
285 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
286 ctags-recursive dvi-recursive html-recursive info-recursive \
287 install-data-recursive install-dvi-recursive \
288 install-exec-recursive install-html-recursive \
289 install-info-recursive install-pdf-recursive \
290 install-ps-recursive install-recursive installcheck-recursive \
291 installdirs-recursive pdf-recursive ps-recursive \
292 tags-recursive uninstall-recursive
293 am__can_run_installinfo = \
294 case $$AM_UPDATE_INFO_DIR in \
295 n|no|NO) false;; \
296 *) (install-info --version) >/dev/null 2>&1;; \
297 esac
298 am__installdirs = "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
299 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
300 am__vpath_adj = case $$p in \
301 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
302 *) f=$$p;; \
303 esac;
304 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
305 am__install_max = 40
306 am__nobase_strip_setup = \
307 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
308 am__nobase_strip = \
309 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
310 am__nobase_list = $(am__nobase_strip_setup); \
311 for p in $$list; do echo "$$p $$p"; done | \
312 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
313 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
314 if (++n[$$2] == $(am__install_max)) \
315 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
316 END { for (dir in files) print dir, files[dir] }'
317 am__base_list = \
318 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
319 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
320 am__uninstall_files_from_dir = { \
321 test -z "$$files" \
322 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
323 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
324 $(am__cd) "$$dir" && rm -f $$files; }; \
325 }
326 man1dir = $(mandir)/man1
327 NROFF = nroff
328 MANS = $(man_MANS)
329 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
330 distclean-recursive maintainer-clean-recursive
331 am__recursive_targets = \
332 $(RECURSIVE_TARGETS) \
333 $(RECURSIVE_CLEAN_TARGETS) \
334 $(am__extra_recursive_targets)
335 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
336 cscope
337 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
338 $(LISP)config.in
339 # Read a list of newline-separated strings from the standard input,
340 # and print each of them once, without duplicates. Input order is
341 # *not* preserved.
342 am__uniquify_input = $(AWK) '\
343 BEGIN { nonempty = 0; } \
344 { items[$$0] = 1; nonempty = 1; } \
345 END { if (nonempty) { for (i in items) print i; }; } \
346 '
347 # Make sure the list of sources is unique. This is necessary because,
348 # e.g., the same source file might be shared among _SOURCES variables
349 # for different programs/libraries.
350 am__define_uniq_tagged_files = \
351 list='$(am__tagged_files)'; \
352 unique=`for i in $$list; do \
353 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
354 done | $(am__uniquify_input)`
355 ETAGS = etags
356 CTAGS = ctags
357 CSCOPE = cscope
358 DEJATOOL = $(PACKAGE)
359 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
360 DIST_SUBDIRS = $(SUBDIRS)
361 ACLOCAL = @ACLOCAL@
362 AMTAR = @AMTAR@
363 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
364 AR = @AR@
365 AUTOCONF = @AUTOCONF@
366 AUTOHEADER = @AUTOHEADER@
367 AUTOMAKE = @AUTOMAKE@
368 AWK = @AWK@
369 CATALOGS = @CATALOGS@
370 CATOBJEXT = @CATOBJEXT@
371 CC = @CC@
372 CCDEPMODE = @CCDEPMODE@
373 CFLAGS = @CFLAGS@
374 CPP = @CPP@
375 CPPFLAGS = @CPPFLAGS@
376 CYGPATH_W = @CYGPATH_W@
377 DATADIRNAME = @DATADIRNAME@
378 DEFS = @DEFS@
379 DEPDIR = @DEPDIR@
380 DSYMUTIL = @DSYMUTIL@
381 DUMPBIN = @DUMPBIN@
382 ECHO_C = @ECHO_C@
383 ECHO_N = @ECHO_N@
384 ECHO_T = @ECHO_T@
385 EGREP = @EGREP@
386 EXEEXT = @EXEEXT@
387 FGREP = @FGREP@
388 GDBINIT = @GDBINIT@
389 GENCAT = @GENCAT@
390 GMSGFMT = @GMSGFMT@
391 GREP = @GREP@
392 INCINTL = @INCINTL@
393 INSTALL = @INSTALL@
394 INSTALL_DATA = @INSTALL_DATA@
395 INSTALL_PROGRAM = @INSTALL_PROGRAM@
396 INSTALL_SCRIPT = @INSTALL_SCRIPT@
397 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
398 INSTOBJEXT = @INSTOBJEXT@
399 LARGEFILE_CPPFLAGS = @LARGEFILE_CPPFLAGS@
400 LD = @LD@
401 LDFLAGS = @LDFLAGS@
402 LEX = `if [ -f ../flex/flex ] ; then echo ../flex/flex ; else echo @LEX@ ; fi`
403 LEXLIB = @LEXLIB@
404 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
405 LIBINTL = @LIBINTL@
406 LIBINTL_DEP = @LIBINTL_DEP@
407 LIBM = @LIBM@
408 LIBOBJS = @LIBOBJS@
409 LIBS = @LIBS@
410 LIBTOOL = @LIBTOOL@
411 LIPO = @LIPO@
412 LN_S = @LN_S@
413 LTLIBOBJS = @LTLIBOBJS@
414 MAINT = @MAINT@
415 MAKEINFO = @MAKEINFO@
416 MKDIR_P = @MKDIR_P@
417 MKINSTALLDIRS = @MKINSTALLDIRS@
418 MSGFMT = @MSGFMT@
419 MSGMERGE = @MSGMERGE@
420 NM = @NM@
421 NMEDIT = @NMEDIT@
422 NO_WERROR = @NO_WERROR@
423 OBJDUMP = @OBJDUMP@
424 OBJEXT = @OBJEXT@
425 OPCODES_LIB = @OPCODES_LIB@
426 OTOOL = @OTOOL@
427 OTOOL64 = @OTOOL64@
428 PACKAGE = @PACKAGE@
429 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
430 PACKAGE_NAME = @PACKAGE_NAME@
431 PACKAGE_STRING = @PACKAGE_STRING@
432 PACKAGE_TARNAME = @PACKAGE_TARNAME@
433 PACKAGE_URL = @PACKAGE_URL@
434 PACKAGE_VERSION = @PACKAGE_VERSION@
435 PATH_SEPARATOR = @PATH_SEPARATOR@
436 PKG_CONFIG = @PKG_CONFIG@
437 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
438 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
439 POSUB = @POSUB@
440 RANLIB = @RANLIB@
441 SED = @SED@
442 SET_MAKE = @SET_MAKE@
443 SHELL = @SHELL@
444 STRIP = @STRIP@
445 USE_NLS = @USE_NLS@
446 VERSION = @VERSION@
447 WARN_CFLAGS = @WARN_CFLAGS@ @WARN_WRITE_STRINGS@
448 WARN_CFLAGS_FOR_BUILD = @WARN_CFLAGS_FOR_BUILD@
449 WARN_WRITE_STRINGS = @WARN_WRITE_STRINGS@
450 XGETTEXT = @XGETTEXT@
451 YACC = `if [ -f ../bison/bison ] ; then echo ../bison/bison -y -L../bison/bison ; else echo @YACC@ ; fi`
452 YFLAGS = @YFLAGS@
453 ZSTD_CFLAGS = @ZSTD_CFLAGS@
454 ZSTD_LIBS = @ZSTD_LIBS@
455 abs_builddir = @abs_builddir@
456 abs_srcdir = @abs_srcdir@
457 abs_top_builddir = @abs_top_builddir@
458 abs_top_srcdir = @abs_top_srcdir@
459 ac_ct_CC = @ac_ct_CC@
460 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
461 am__include = @am__include@
462 am__leading_dot = @am__leading_dot@
463 am__quote = @am__quote@
464 am__tar = @am__tar@
465 am__untar = @am__untar@
466 atof = @atof@
467 bindir = @bindir@
468 build = @build@
469 build_alias = @build_alias@
470 build_cpu = @build_cpu@
471 build_os = @build_os@
472 build_vendor = @build_vendor@
473 builddir = @builddir@
474 cgen_cpu_prefix = @cgen_cpu_prefix@
475 datadir = @datadir@
476 datarootdir = @datarootdir@
477 do_compare = @do_compare@
478 docdir = @docdir@
479 dvidir = @dvidir@
480 exec_prefix = @exec_prefix@
481 extra_objects = @extra_objects@
482 host = @host@
483 host_alias = @host_alias@
484 host_cpu = @host_cpu@
485 host_os = @host_os@
486 host_vendor = @host_vendor@
487 htmldir = @htmldir@
488 includedir = @includedir@
489 infodir = @infodir@
490 install_sh = @install_sh@
491 install_tooldir = @install_tooldir@
492 libdir = @libdir@
493 libexecdir = @libexecdir@
494 localedir = @localedir@
495 localstatedir = @localstatedir@
496 mandir = @mandir@
497 mkdir_p = @mkdir_p@
498 obj_format = @obj_format@
499 oldincludedir = @oldincludedir@
500 pdfdir = @pdfdir@
501 prefix = @prefix@
502 program_transform_name = @program_transform_name@
503 psdir = @psdir@
504 sbindir = @sbindir@
505 sharedstatedir = @sharedstatedir@
506 srcdir = @srcdir@
507 sysconfdir = @sysconfdir@
508 target = @target@
509 target_alias = @target_alias@
510 target_cpu = @target_cpu@
511 target_cpu_type = @target_cpu_type@
512 target_os = @target_os@
513 target_vendor = @target_vendor@
514 te_file = @te_file@
515 top_build_prefix = @top_build_prefix@
516 top_builddir = @top_builddir@
517 top_srcdir = @top_srcdir@
518 zlibdir = @zlibdir@
519 zlibinc = @zlibinc@
520 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects info-in-builddir no-texinfo.tex
521 ACLOCAL_AMFLAGS = -I .. -I ../config -I ../bfd
522 MAINTAINERCLEANFILES = doc/asconfig.texi doc/as.info
523 SUBDIRS = po
524 tooldir = $(exec_prefix)/$(target_alias)
525
526 # This is where we get zlib from. zlibdir is -L../zlib and zlibinc is
527 # -I../zlib, unless we were configured with --with-system-zlib, in which
528 # case both are empty.
529 ZLIB = @zlibdir@ -lz
530 ZLIBINC = @zlibinc@
531
532 # Automake 1.10+ disables lex and yacc output file regeneration if
533 # maintainer mode is disabled. Avoid this.
534 am__skiplex =
535 am__skipyacc =
536 AM_CFLAGS = $(WARN_CFLAGS) $(ZLIBINC) $(ZSTD_CFLAGS)
537 TARG_CPU = @target_cpu_type@
538 TARG_CPU_C = $(srcdir)/config/tc-@target_cpu_type@.c
539 TARG_CPU_O = config/tc-@target_cpu_type@.@OBJEXT@
540 TARG_CPU_H = $(srcdir)/config/tc-@target_cpu_type@.h
541 OBJ_FORMAT_C = $(srcdir)/config/obj-@obj_format@.c
542 OBJ_FORMAT_O = config/obj-@obj_format@.@OBJEXT@
543 OBJ_FORMAT_H = $(srcdir)/config/obj-@obj_format@.h
544 TARG_ENV_H = $(srcdir)/config/te-@te_file@.h
545 ATOF_TARG_C = $(srcdir)/config/atof-@atof@.c
546 ATOF_TARG_O = config/atof-@atof@.@OBJEXT@
547
548 # use @target_cpu_type@ for refering to configured target name
549 IT_HDRS = itbl-parse.h $(srcdir)/itbl-ops.h
550 IT_SRCS = itbl-parse.c itbl-lex-wrapper.c $(srcdir)/itbl-ops.c
551 IT_DEPS = $(srcdir)/itbl-parse.y $(srcdir)/itbl-lex.l $(srcdir)/config/itbl-@target_cpu_type@.h
552 IT_OBJS = itbl-parse.@OBJEXT@ itbl-lex.@OBJEXT@ itbl-ops.@OBJEXT@
553
554 # Regular source files.
555 GAS_CFILES = \
556 app.c \
557 as.c \
558 atof-generic.c \
559 codeview.c \
560 compress-debug.c \
561 cond.c \
562 depend.c \
563 dwarf2dbg.c \
564 dw2gencfi.c \
565 ecoff.c \
566 ehopt.c \
567 expr.c \
568 flonum-copy.c \
569 flonum-konst.c \
570 flonum-mult.c \
571 frags.c \
572 gen-sframe.c \
573 hash.c \
574 input-file.c \
575 input-scrub.c \
576 listing.c \
577 literal.c \
578 macro.c \
579 messages.c \
580 output-file.c \
581 read.c \
582 remap.c \
583 sb.c \
584 sframe-opt.c \
585 stabs.c \
586 subsegs.c \
587 symbols.c \
588 write.c
589
590 CFILES = $(GAS_CFILES) itbl-ops.c cgen.c
591 HFILES = \
592 as.h \
593 asintl.h \
594 bignum.h \
595 bit_fix.h \
596 cgen.h \
597 codeview.h \
598 compress-debug.h \
599 dwarf2dbg.h \
600 dw2gencfi.h \
601 ecoff.h \
602 emul-target.h \
603 emul.h \
604 expr.h \
605 flonum.h \
606 frags.h \
607 gen-sframe.h \
608 hash.h \
609 input-file.h \
610 itbl-lex.h \
611 itbl-ops.h \
612 listing.h \
613 macro.h \
614 obj.h \
615 output-file.h \
616 read.h \
617 sb.h \
618 subsegs.h \
619 symbols.h \
620 tc.h \
621 write.h
622
623
624 # CPU files in config.
625 TARGET_CPU_CFILES = \
626 config/tc-aarch64.c \
627 config/tc-alpha.c \
628 config/tc-arc.c \
629 config/tc-arm.c \
630 config/tc-avr.c \
631 config/tc-bfin.c \
632 config/tc-bpf.c \
633 config/tc-cr16.c \
634 config/tc-cris.c \
635 config/tc-crx.c \
636 config/tc-csky.c \
637 config/tc-d10v.c \
638 config/tc-d30v.c \
639 config/tc-dlx.c \
640 config/tc-epiphany.c \
641 config/tc-fr30.c \
642 config/tc-frv.c \
643 config/tc-ft32.c \
644 config/tc-h8300.c \
645 config/tc-hppa.c \
646 config/tc-ia64.c \
647 config/tc-i386.c \
648 config/tc-ip2k.c \
649 config/tc-iq2000.c \
650 config/tc-kvx.c \
651 config/tc-lm32.c \
652 config/tc-loongarch.c \
653 config/tc-m32c.c \
654 config/tc-m32r.c \
655 config/tc-m68hc11.c \
656 config/tc-m68k.c \
657 config/tc-s12z.c \
658 config/tc-mcore.c \
659 config/tc-mep.c \
660 config/tc-metag.c \
661 config/tc-microblaze.c \
662 config/tc-mips.c \
663 config/tc-mmix.c \
664 config/tc-mn10200.c \
665 config/tc-mn10300.c \
666 config/tc-moxie.c \
667 config/tc-msp430.c \
668 config/tc-mt.c \
669 config/tc-nds32.c \
670 config/tc-nios2.c \
671 config/tc-ns32k.c \
672 config/tc-or1k.c \
673 config/tc-pdp11.c \
674 config/tc-pj.c \
675 config/tc-ppc.c \
676 config/tc-pru.c \
677 config/tc-riscv.c \
678 config/tc-rl78.c \
679 config/tc-rx.c \
680 config/tc-s390.c \
681 config/tc-score.c \
682 config/tc-sh.c \
683 config/tc-sparc.c \
684 config/tc-spu.c \
685 config/tc-tic30.c \
686 config/tc-tic4x.c \
687 config/tc-tic54x.c \
688 config/tc-tic6x.c \
689 config/tc-tilegx.c \
690 config/tc-tilepro.c \
691 config/tc-v850.c \
692 config/tc-vax.c \
693 config/tc-visium.c \
694 config/tc-wasm32.c \
695 config/tc-xstormy16.c \
696 config/tc-xgate.c \
697 config/tc-xtensa.c \
698 config/tc-z80.c \
699 config/tc-z8k.c
700
701 TARGET_CPU_HFILES = \
702 config/tc-aarch64.h \
703 config/tc-alpha.h \
704 config/tc-arc.h \
705 config/tc-arm.h \
706 config/tc-avr.h \
707 config/tc-bfin.h \
708 config/tc-bpf.h \
709 config/tc-cr16.h \
710 config/tc-cris.h \
711 config/tc-crx.h \
712 config/tc-csky.h \
713 config/tc-d10v.h \
714 config/tc-d30v.h \
715 config/tc-dlx.h \
716 config/tc-epiphany.h \
717 config/tc-fr30.h \
718 config/tc-frv.h \
719 config/tc-ft32.h \
720 config/tc-h8300.h \
721 config/tc-hppa.h \
722 config/tc-ia64.h \
723 config/tc-i386.h \
724 config/tc-ip2k.h \
725 config/tc-iq2000.h \
726 config/tc-kvx.h \
727 config/tc-lm32.h \
728 config/tc-m32c.h \
729 config/tc-m32r.h \
730 config/tc-m68hc11.h \
731 config/tc-m68k.h \
732 config/tc-s12z.h \
733 config/tc-mcore.h \
734 config/tc-mep.h \
735 config/tc-metag.h \
736 config/tc-microblaze.h \
737 config/tc-mips.h \
738 config/tc-mmix.h \
739 config/tc-mn10200.h \
740 config/tc-mn10300.h \
741 config/tc-msp430.h \
742 config/tc-mt.h \
743 config/tc-nds32.h \
744 config/tc-nios2.h \
745 config/tc-ns32k.h \
746 config/tc-or1k.h \
747 config/tc-pdp11.h \
748 config/tc-pj.h \
749 config/tc-ppc.h \
750 config/tc-pru.h \
751 config/tc-riscv.h \
752 config/tc-rl78.h \
753 config/tc-rx.h \
754 config/tc-s390.h \
755 config/tc-score.h \
756 config/tc-sh.h \
757 config/tc-sparc.h \
758 config/tc-spu.h \
759 config/tc-tic30.h \
760 config/tc-tic4x.h \
761 config/tc-tic54x.h \
762 config/tc-tic6x.h \
763 config/tc-tilegx.h \
764 config/tc-tilepro.h \
765 config/tc-v850.h \
766 config/tc-vax.h \
767 config/tc-visium.h \
768 config/tc-wasm32.h \
769 config/tc-xstormy16.h \
770 config/tc-xgate.h \
771 config/tc-xtensa.h \
772 config/tc-z80.h \
773 config/tc-z8k.h
774
775 TARGET_EXTRA_FILES = \
776 config/bfin-lex-wrapper.c \
777 config/xtensa-relax.c \
778 config/xtensa-relax.h \
779 config/kvx-parse.h \
780 config/kvx-parse.c
781
782
783 # OBJ files in config
784 OBJ_FORMAT_CFILES = \
785 config/obj-aout.c \
786 config/obj-coff.c \
787 config/obj-ecoff.c \
788 config/obj-elf.c \
789 config/obj-evax.c \
790 config/obj-fdpicelf.c \
791 config/obj-macho.c \
792 config/obj-multi.c \
793 config/obj-som.c
794
795 OBJ_FORMAT_HFILES = \
796 config/obj-aout.h \
797 config/obj-coff.h \
798 config/obj-ecoff.h \
799 config/obj-elf.h \
800 config/obj-evax.h \
801 config/obj-fdpicelf.h \
802 config/obj-macho.h \
803 config/obj-multi.h \
804 config/obj-som.h
805
806
807 # Emulation header files in config
808 TARG_ENV_HFILES = \
809 config/te-386bsd.h \
810 config/te-aix5.h \
811 config/te-armeabi.h \
812 config/te-armfbsdeabi.h \
813 config/te-armfbsdvfp.h \
814 config/te-armlinuxeabi.h \
815 config/te-csky_abiv1.h \
816 config/te-csky_abiv1_linux.h \
817 config/te-csky_abiv2.h \
818 config/te-csky_abiv2_linux.h \
819 config/te-freebsd.h \
820 config/te-generic.h \
821 config/te-gnu.h \
822 config/te-go32.h \
823 config/te-hppa.h \
824 config/te-hppa64.h \
825 config/te-hppalinux64.h \
826 config/te-ia64aix.h \
827 config/te-interix.h \
828 config/te-lynx.h \
829 config/te-macos.h \
830 config/te-nbsd.h \
831 config/te-nbsd532.h \
832 config/te-pc532mach.h \
833 config/te-pe.h \
834 config/te-solaris.h \
835 config/te-tmips.h \
836 config/te-vxworks.h \
837 config/te-wince-pe.h
838
839 TARG_ENV_CFILES = \
840 config/te-vms.c
841
842
843 # Multi files in config
844 MULTI_CFILES = \
845 config/e-crisaout.c \
846 config/e-criself.c \
847 config/e-i386aout.c \
848 config/e-i386coff.c \
849 config/e-i386elf.c \
850 config/e-mipself.c
851
852 CONFIG_ATOF_CFILES = \
853 config/atof-ieee.c \
854 config/atof-vax.c
855
856 POTFILES = $(MULTI_CFILES) $(CONFIG_ATOF_CFILES) \
857 $(TARG_ENV_HFILES) $(TARG_ENV_CFILES) $(OBJ_FORMAT_HFILES) \
858 $(OBJ_FORMAT_CFILES) $(TARGET_CPU_HFILES) $(TARGET_CPU_CFILES) \
859 $(TARGET_EXTRA_FILES) $(HFILES) $(CFILES)
860
861 noinst_SCRIPTS = $(GDBINIT)
862 EXTRA_SCRIPTS = .gdbinit
863 EXTRA_DIST = config/m68k-parse.c itbl-parse.c itbl-parse.h itbl-lex.c \
864 config/bfin-parse.c config/bfin-parse.h config/bfin-lex.c \
865 config/rl78-parse.c config/rl78-parse.h \
866 config/rx-parse.c config/rx-parse.h \
867 config/loongarch-parse.c config/loongarch-parse.h config/loongarch-lex.c
868
869 DISTCLEANFILES = targ-cpu.h obj-format.h targ-env.h itbl-cpu.h cgen-desc.h
870
871 # Now figure out from those variables how to compile and link.
872 BASEDIR = $(srcdir)/..
873 BFDDIR = $(BASEDIR)/bfd
874 INCDIR = $(BASEDIR)/include
875
876 # This is the variable actually used when we compile.
877 # Specify the directories to be searched for header files.
878 # Both . and srcdir are used, in that order,
879 # so that tm.h and config.h will be found in the compilation
880 # subdirectory rather than in the source directory.
881 AM_CPPFLAGS = -I. -I$(srcdir) -I../bfd -I$(srcdir)/config \
882 -I$(INCDIR) -I$(srcdir)/.. -I$(BFDDIR) @INCINTL@ @LARGEFILE_CPPFLAGS@ \
883 -DLOCALEDIR="\"$(datadir)/locale\""
884
885
886 # How to link with both our special library facilities
887 # and the system's installed libraries.
888 GASLIBS = @OPCODES_LIB@ ../bfd/libbfd.la ../libiberty/libiberty.a
889
890 # Files to be copied away after each stage in building.
891 STAGESTUFF = *.@OBJEXT@ $(noinst_PROGRAMS)
892 as_new_SOURCES = $(GAS_CFILES)
893 as_new_LDADD = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
894 $(extra_objects) $(GASLIBS) $(LIBINTL) $(LIBM) $(ZLIB) $(ZSTD_LIBS)
895
896 as_new_DEPENDENCIES = $(TARG_CPU_O) $(OBJ_FORMAT_O) $(ATOF_TARG_O) \
897 $(extra_objects) $(GASLIBS) $(LIBINTL_DEP)
898
899
900 # The LoongArch lexical analyzer and parser.
901 EXTRA_as_new_SOURCES = $(CFILES) $(HFILES) $(TARGET_CPU_CFILES) \
902 $(TARGET_CPU_HFILES) $(TARGET_EXTRA_FILES) $(TARG_ENV_CFILES) \
903 $(OBJ_FORMAT_CFILES) $(OBJ_FORMAT_HFILES) \
904 $(CONFIG_ATOF_CFILES) $(MULTI_CFILES) config/m68k-parse.y \
905 config/bfin-parse.y config/bfin-lex.l config/rl78-parse.y \
906 config/rx-parse.y config/loongarch-parse.y \
907 config/loongarch-lex.l
908 EXPECT = expect
909 RUNTEST = runtest
910 RUNTESTFLAGS =
911 i386_tbl_deps = $(srcdir)/../opcodes/i386-opc.tbl \
912 $(srcdir)/../opcodes/i386-reg.tbl \
913 $(srcdir)/../opcodes/i386-gen.c $(srcdir)/../opcodes/i386-opc.h
914
915 itbl_test_SOURCES = itbl-parse.y itbl-lex.l
916 itbl_test_LDADD = itbl-tops.@OBJEXT@ itbl-test.@OBJEXT@ $(GASLIBS) @LEXLIB@
917
918 # CGEN interface.
919 CGEN_CPU_PREFIX = @cgen_cpu_prefix@
920
921 # Remake the info files.
922 MOSTLYCLEANFILES = $(STAGESTUFF) core \
923 testsuite/*.@OBJEXT@ testsuite/*.out testsuite/gas.log testsuite/gas.sum \
924 testsuite/site.exp site.bak site.exp development.exp stage stage1 stage2
925
926 against = stage2
927
928 # Reconfigure if configure.tgt changes.
929 # development.sh is used to determine -Werror default.
930 CONFIG_STATUS_DEPENDENCIES = $(srcdir)/configure.tgt $(BFDDIR)/development.sh
931 EXTRA_DEJAGNU_SITE_CONFIG = development.exp
932
933 # What version of the manual you want; "all" includes everything
934 CONFIG = all
935
936 # Options to extract the man page from as.texi
937 MANCONF = -Dman
938 TEXI2POD = perl $(BASEDIR)/etc/texi2pod.pl $(AM_MAKEINFOFLAGS)
939 POD2MAN = pod2man --center="GNU Development Tools" \
940 --release="binutils-$(VERSION)" --section=1
941
942 man_MANS = doc/as.1
943 info_TEXINFOS = doc/as.texi
944 doc_as_TEXINFOS = doc/asconfig.texi $(CPU_DOCS)
945 AM_MAKEINFOFLAGS = -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
946 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc \
947 --no-split
948
949 TEXI2DVI = texi2dvi -I "$(srcdir)/doc" -I doc -I "$(srcdir)/../libiberty" \
950 -I "$(srcdir)/../bfd/doc" -I ../bfd/doc
951
952 CPU_DOCS = \
953 doc/c-aarch64.texi \
954 doc/c-alpha.texi \
955 doc/c-arc.texi \
956 doc/c-arm.texi \
957 doc/c-avr.texi \
958 doc/c-bfin.texi \
959 doc/c-bpf.texi \
960 doc/c-cr16.texi \
961 doc/c-cris.texi \
962 doc/c-csky.texi \
963 doc/c-d10v.texi \
964 doc/c-epiphany.texi \
965 doc/c-h8300.texi \
966 doc/c-hppa.texi \
967 doc/c-i386.texi \
968 doc/c-ip2k.texi \
969 doc/c-kvx.texi \
970 doc/c-lm32.texi \
971 doc/c-m32c.texi \
972 doc/c-m32r.texi \
973 doc/c-m68hc11.texi \
974 doc/c-m68k.texi \
975 doc/c-s12z.texi \
976 doc/c-metag.texi \
977 doc/c-microblaze.texi \
978 doc/c-mips.texi \
979 doc/c-mmix.texi \
980 doc/c-mt.texi \
981 doc/c-msp430.texi \
982 doc/c-nios2.texi \
983 doc/c-nds32.texi \
984 doc/c-ns32k.texi \
985 doc/c-or1k.texi \
986 doc/c-pdp11.texi \
987 doc/c-pj.texi \
988 doc/c-ppc.texi \
989 doc/c-pru.texi \
990 doc/c-rl78.texi \
991 doc/c-riscv.texi \
992 doc/c-rx.texi \
993 doc/c-s390.texi \
994 doc/c-score.texi \
995 doc/c-sh.texi \
996 doc/c-sparc.texi \
997 doc/c-tic54x.texi \
998 doc/c-tic6x.texi \
999 doc/c-tilegx.texi \
1000 doc/c-tilepro.texi \
1001 doc/c-v850.texi \
1002 doc/c-vax.texi \
1003 doc/c-visium.texi \
1004 doc/c-xgate.texi \
1005 doc/c-xstormy16.texi \
1006 doc/c-xtensa.texi \
1007 doc/c-z80.texi \
1008 doc/c-z8k.texi
1009
1010
1011 # This one isn't ready for prime time yet. Not even a little bit.
1012 noinst_TEXINFOS = doc/internals.texi
1013 all: config.h
1014 $(MAKE) $(AM_MAKEFLAGS) all-recursive
1015
1016 .SUFFIXES:
1017 .SUFFIXES: .c .dvi .l .lo .o .obj .ps .y
1018 am--refresh: Makefile
1019 @:
1020 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/doc/local.mk $(am__configure_deps)
1021 @for dep in $?; do \
1022 case '$(am__configure_deps)' in \
1023 *$$dep*) \
1024 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
1025 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
1026 && exit 0; \
1027 exit 1;; \
1028 esac; \
1029 done; \
1030 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
1031 $(am__cd) $(top_srcdir) && \
1032 $(AUTOMAKE) --foreign Makefile
1033 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
1034 @case '$?' in \
1035 *config.status*) \
1036 echo ' $(SHELL) ./config.status'; \
1037 $(SHELL) ./config.status;; \
1038 *) \
1039 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
1040 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
1041 esac;
1042 $(srcdir)/doc/local.mk $(am__empty):
1043
1044 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
1045 $(SHELL) ./config.status --recheck
1046
1047 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1048 $(am__cd) $(srcdir) && $(AUTOCONF)
1049 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
1050 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
1051 $(am__aclocal_m4_deps):
1052
1053 config.h: stamp-h1
1054 @test -f $@ || rm -f stamp-h1
1055 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
1056
1057 stamp-h1: $(srcdir)/config.in $(top_builddir)/config.status
1058 @rm -f stamp-h1
1059 cd $(top_builddir) && $(SHELL) ./config.status config.h
1060 $(srcdir)/config.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
1061 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
1062 rm -f stamp-h1
1063 touch $@
1064
1065 distclean-hdr:
1066 -rm -f config.h stamp-h1
1067 gdb.ini: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1068 cd $(top_builddir) && $(SHELL) ./config.status $@
1069 .gdbinit: $(top_builddir)/config.status $(srcdir)/gdbinit.in
1070 cd $(top_builddir) && $(SHELL) ./config.status $@
1071 po/Makefile.in: $(top_builddir)/config.status $(top_srcdir)/po/Make-in
1072 cd $(top_builddir) && $(SHELL) ./config.status $@
1073
1074 clean-noinstPROGRAMS:
1075 @list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
1076 echo " rm -f" $$list; \
1077 rm -f $$list || exit $$?; \
1078 test -n "$(EXEEXT)" || exit 0; \
1079 list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
1080 echo " rm -f" $$list; \
1081 rm -f $$list
1082 config/$(am__dirstamp):
1083 @$(MKDIR_P) config
1084 @: > config/$(am__dirstamp)
1085 config/$(DEPDIR)/$(am__dirstamp):
1086 @$(MKDIR_P) config/$(DEPDIR)
1087 @: > config/$(DEPDIR)/$(am__dirstamp)
1088 config/tc-aarch64.$(OBJEXT): config/$(am__dirstamp) \
1089 config/$(DEPDIR)/$(am__dirstamp)
1090 config/tc-alpha.$(OBJEXT): config/$(am__dirstamp) \
1091 config/$(DEPDIR)/$(am__dirstamp)
1092 config/tc-arc.$(OBJEXT): config/$(am__dirstamp) \
1093 config/$(DEPDIR)/$(am__dirstamp)
1094 config/tc-arm.$(OBJEXT): config/$(am__dirstamp) \
1095 config/$(DEPDIR)/$(am__dirstamp)
1096 config/tc-avr.$(OBJEXT): config/$(am__dirstamp) \
1097 config/$(DEPDIR)/$(am__dirstamp)
1098 config/tc-bfin.$(OBJEXT): config/$(am__dirstamp) \
1099 config/$(DEPDIR)/$(am__dirstamp)
1100 config/tc-bpf.$(OBJEXT): config/$(am__dirstamp) \
1101 config/$(DEPDIR)/$(am__dirstamp)
1102 config/tc-cr16.$(OBJEXT): config/$(am__dirstamp) \
1103 config/$(DEPDIR)/$(am__dirstamp)
1104 config/tc-cris.$(OBJEXT): config/$(am__dirstamp) \
1105 config/$(DEPDIR)/$(am__dirstamp)
1106 config/tc-crx.$(OBJEXT): config/$(am__dirstamp) \
1107 config/$(DEPDIR)/$(am__dirstamp)
1108 config/tc-csky.$(OBJEXT): config/$(am__dirstamp) \
1109 config/$(DEPDIR)/$(am__dirstamp)
1110 config/tc-d10v.$(OBJEXT): config/$(am__dirstamp) \
1111 config/$(DEPDIR)/$(am__dirstamp)
1112 config/tc-d30v.$(OBJEXT): config/$(am__dirstamp) \
1113 config/$(DEPDIR)/$(am__dirstamp)
1114 config/tc-dlx.$(OBJEXT): config/$(am__dirstamp) \
1115 config/$(DEPDIR)/$(am__dirstamp)
1116 config/tc-epiphany.$(OBJEXT): config/$(am__dirstamp) \
1117 config/$(DEPDIR)/$(am__dirstamp)
1118 config/tc-fr30.$(OBJEXT): config/$(am__dirstamp) \
1119 config/$(DEPDIR)/$(am__dirstamp)
1120 config/tc-frv.$(OBJEXT): config/$(am__dirstamp) \
1121 config/$(DEPDIR)/$(am__dirstamp)
1122 config/tc-ft32.$(OBJEXT): config/$(am__dirstamp) \
1123 config/$(DEPDIR)/$(am__dirstamp)
1124 config/tc-h8300.$(OBJEXT): config/$(am__dirstamp) \
1125 config/$(DEPDIR)/$(am__dirstamp)
1126 config/tc-hppa.$(OBJEXT): config/$(am__dirstamp) \
1127 config/$(DEPDIR)/$(am__dirstamp)
1128 config/tc-ia64.$(OBJEXT): config/$(am__dirstamp) \
1129 config/$(DEPDIR)/$(am__dirstamp)
1130 config/tc-i386.$(OBJEXT): config/$(am__dirstamp) \
1131 config/$(DEPDIR)/$(am__dirstamp)
1132 config/tc-ip2k.$(OBJEXT): config/$(am__dirstamp) \
1133 config/$(DEPDIR)/$(am__dirstamp)
1134 config/tc-iq2000.$(OBJEXT): config/$(am__dirstamp) \
1135 config/$(DEPDIR)/$(am__dirstamp)
1136 config/tc-kvx.$(OBJEXT): config/$(am__dirstamp) \
1137 config/$(DEPDIR)/$(am__dirstamp)
1138 config/tc-lm32.$(OBJEXT): config/$(am__dirstamp) \
1139 config/$(DEPDIR)/$(am__dirstamp)
1140 config/tc-loongarch.$(OBJEXT): config/$(am__dirstamp) \
1141 config/$(DEPDIR)/$(am__dirstamp)
1142 config/tc-m32c.$(OBJEXT): config/$(am__dirstamp) \
1143 config/$(DEPDIR)/$(am__dirstamp)
1144 config/tc-m32r.$(OBJEXT): config/$(am__dirstamp) \
1145 config/$(DEPDIR)/$(am__dirstamp)
1146 config/tc-m68hc11.$(OBJEXT): config/$(am__dirstamp) \
1147 config/$(DEPDIR)/$(am__dirstamp)
1148 config/tc-m68k.$(OBJEXT): config/$(am__dirstamp) \
1149 config/$(DEPDIR)/$(am__dirstamp)
1150 config/tc-s12z.$(OBJEXT): config/$(am__dirstamp) \
1151 config/$(DEPDIR)/$(am__dirstamp)
1152 config/tc-mcore.$(OBJEXT): config/$(am__dirstamp) \
1153 config/$(DEPDIR)/$(am__dirstamp)
1154 config/tc-mep.$(OBJEXT): config/$(am__dirstamp) \
1155 config/$(DEPDIR)/$(am__dirstamp)
1156 config/tc-metag.$(OBJEXT): config/$(am__dirstamp) \
1157 config/$(DEPDIR)/$(am__dirstamp)
1158 config/tc-microblaze.$(OBJEXT): config/$(am__dirstamp) \
1159 config/$(DEPDIR)/$(am__dirstamp)
1160 config/tc-mips.$(OBJEXT): config/$(am__dirstamp) \
1161 config/$(DEPDIR)/$(am__dirstamp)
1162 config/tc-mmix.$(OBJEXT): config/$(am__dirstamp) \
1163 config/$(DEPDIR)/$(am__dirstamp)
1164 config/tc-mn10200.$(OBJEXT): config/$(am__dirstamp) \
1165 config/$(DEPDIR)/$(am__dirstamp)
1166 config/tc-mn10300.$(OBJEXT): config/$(am__dirstamp) \
1167 config/$(DEPDIR)/$(am__dirstamp)
1168 config/tc-moxie.$(OBJEXT): config/$(am__dirstamp) \
1169 config/$(DEPDIR)/$(am__dirstamp)
1170 config/tc-msp430.$(OBJEXT): config/$(am__dirstamp) \
1171 config/$(DEPDIR)/$(am__dirstamp)
1172 config/tc-mt.$(OBJEXT): config/$(am__dirstamp) \
1173 config/$(DEPDIR)/$(am__dirstamp)
1174 config/tc-nds32.$(OBJEXT): config/$(am__dirstamp) \
1175 config/$(DEPDIR)/$(am__dirstamp)
1176 config/tc-nios2.$(OBJEXT): config/$(am__dirstamp) \
1177 config/$(DEPDIR)/$(am__dirstamp)
1178 config/tc-ns32k.$(OBJEXT): config/$(am__dirstamp) \
1179 config/$(DEPDIR)/$(am__dirstamp)
1180 config/tc-or1k.$(OBJEXT): config/$(am__dirstamp) \
1181 config/$(DEPDIR)/$(am__dirstamp)
1182 config/tc-pdp11.$(OBJEXT): config/$(am__dirstamp) \
1183 config/$(DEPDIR)/$(am__dirstamp)
1184 config/tc-pj.$(OBJEXT): config/$(am__dirstamp) \
1185 config/$(DEPDIR)/$(am__dirstamp)
1186 config/tc-ppc.$(OBJEXT): config/$(am__dirstamp) \
1187 config/$(DEPDIR)/$(am__dirstamp)
1188 config/tc-pru.$(OBJEXT): config/$(am__dirstamp) \
1189 config/$(DEPDIR)/$(am__dirstamp)
1190 config/tc-riscv.$(OBJEXT): config/$(am__dirstamp) \
1191 config/$(DEPDIR)/$(am__dirstamp)
1192 config/tc-rl78.$(OBJEXT): config/$(am__dirstamp) \
1193 config/$(DEPDIR)/$(am__dirstamp)
1194 config/tc-rx.$(OBJEXT): config/$(am__dirstamp) \
1195 config/$(DEPDIR)/$(am__dirstamp)
1196 config/tc-s390.$(OBJEXT): config/$(am__dirstamp) \
1197 config/$(DEPDIR)/$(am__dirstamp)
1198 config/tc-score.$(OBJEXT): config/$(am__dirstamp) \
1199 config/$(DEPDIR)/$(am__dirstamp)
1200 config/tc-sh.$(OBJEXT): config/$(am__dirstamp) \
1201 config/$(DEPDIR)/$(am__dirstamp)
1202 config/tc-sparc.$(OBJEXT): config/$(am__dirstamp) \
1203 config/$(DEPDIR)/$(am__dirstamp)
1204 config/tc-spu.$(OBJEXT): config/$(am__dirstamp) \
1205 config/$(DEPDIR)/$(am__dirstamp)
1206 config/tc-tic30.$(OBJEXT): config/$(am__dirstamp) \
1207 config/$(DEPDIR)/$(am__dirstamp)
1208 config/tc-tic4x.$(OBJEXT): config/$(am__dirstamp) \
1209 config/$(DEPDIR)/$(am__dirstamp)
1210 config/tc-tic54x.$(OBJEXT): config/$(am__dirstamp) \
1211 config/$(DEPDIR)/$(am__dirstamp)
1212 config/tc-tic6x.$(OBJEXT): config/$(am__dirstamp) \
1213 config/$(DEPDIR)/$(am__dirstamp)
1214 config/tc-tilegx.$(OBJEXT): config/$(am__dirstamp) \
1215 config/$(DEPDIR)/$(am__dirstamp)
1216 config/tc-tilepro.$(OBJEXT): config/$(am__dirstamp) \
1217 config/$(DEPDIR)/$(am__dirstamp)
1218 config/tc-v850.$(OBJEXT): config/$(am__dirstamp) \
1219 config/$(DEPDIR)/$(am__dirstamp)
1220 config/tc-vax.$(OBJEXT): config/$(am__dirstamp) \
1221 config/$(DEPDIR)/$(am__dirstamp)
1222 config/tc-visium.$(OBJEXT): config/$(am__dirstamp) \
1223 config/$(DEPDIR)/$(am__dirstamp)
1224 config/tc-wasm32.$(OBJEXT): config/$(am__dirstamp) \
1225 config/$(DEPDIR)/$(am__dirstamp)
1226 config/tc-xstormy16.$(OBJEXT): config/$(am__dirstamp) \
1227 config/$(DEPDIR)/$(am__dirstamp)
1228 config/tc-xgate.$(OBJEXT): config/$(am__dirstamp) \
1229 config/$(DEPDIR)/$(am__dirstamp)
1230 config/tc-xtensa.$(OBJEXT): config/$(am__dirstamp) \
1231 config/$(DEPDIR)/$(am__dirstamp)
1232 config/tc-z80.$(OBJEXT): config/$(am__dirstamp) \
1233 config/$(DEPDIR)/$(am__dirstamp)
1234 config/tc-z8k.$(OBJEXT): config/$(am__dirstamp) \
1235 config/$(DEPDIR)/$(am__dirstamp)
1236 config/bfin-lex-wrapper.$(OBJEXT): config/$(am__dirstamp) \
1237 config/$(DEPDIR)/$(am__dirstamp)
1238 config/xtensa-relax.$(OBJEXT): config/$(am__dirstamp) \
1239 config/$(DEPDIR)/$(am__dirstamp)
1240 config/kvx-parse.$(OBJEXT): config/$(am__dirstamp) \
1241 config/$(DEPDIR)/$(am__dirstamp)
1242 config/te-vms.$(OBJEXT): config/$(am__dirstamp) \
1243 config/$(DEPDIR)/$(am__dirstamp)
1244 config/obj-aout.$(OBJEXT): config/$(am__dirstamp) \
1245 config/$(DEPDIR)/$(am__dirstamp)
1246 config/obj-coff.$(OBJEXT): config/$(am__dirstamp) \
1247 config/$(DEPDIR)/$(am__dirstamp)
1248 config/obj-ecoff.$(OBJEXT): config/$(am__dirstamp) \
1249 config/$(DEPDIR)/$(am__dirstamp)
1250 config/obj-elf.$(OBJEXT): config/$(am__dirstamp) \
1251 config/$(DEPDIR)/$(am__dirstamp)
1252 config/obj-evax.$(OBJEXT): config/$(am__dirstamp) \
1253 config/$(DEPDIR)/$(am__dirstamp)
1254 config/obj-fdpicelf.$(OBJEXT): config/$(am__dirstamp) \
1255 config/$(DEPDIR)/$(am__dirstamp)
1256 config/obj-macho.$(OBJEXT): config/$(am__dirstamp) \
1257 config/$(DEPDIR)/$(am__dirstamp)
1258 config/obj-multi.$(OBJEXT): config/$(am__dirstamp) \
1259 config/$(DEPDIR)/$(am__dirstamp)
1260 config/obj-som.$(OBJEXT): config/$(am__dirstamp) \
1261 config/$(DEPDIR)/$(am__dirstamp)
1262 config/atof-ieee.$(OBJEXT): config/$(am__dirstamp) \
1263 config/$(DEPDIR)/$(am__dirstamp)
1264 config/atof-vax.$(OBJEXT): config/$(am__dirstamp) \
1265 config/$(DEPDIR)/$(am__dirstamp)
1266 config/e-crisaout.$(OBJEXT): config/$(am__dirstamp) \
1267 config/$(DEPDIR)/$(am__dirstamp)
1268 config/e-criself.$(OBJEXT): config/$(am__dirstamp) \
1269 config/$(DEPDIR)/$(am__dirstamp)
1270 config/e-i386aout.$(OBJEXT): config/$(am__dirstamp) \
1271 config/$(DEPDIR)/$(am__dirstamp)
1272 config/e-i386coff.$(OBJEXT): config/$(am__dirstamp) \
1273 config/$(DEPDIR)/$(am__dirstamp)
1274 config/e-i386elf.$(OBJEXT): config/$(am__dirstamp) \
1275 config/$(DEPDIR)/$(am__dirstamp)
1276 config/e-mipself.$(OBJEXT): config/$(am__dirstamp) \
1277 config/$(DEPDIR)/$(am__dirstamp)
1278 config/m68k-parse.$(OBJEXT): config/$(am__dirstamp) \
1279 config/$(DEPDIR)/$(am__dirstamp)
1280 config/bfin-parse.$(OBJEXT): config/$(am__dirstamp) \
1281 config/$(DEPDIR)/$(am__dirstamp)
1282 config/bfin-lex.$(OBJEXT): config/$(am__dirstamp) \
1283 config/$(DEPDIR)/$(am__dirstamp)
1284 config/rl78-parse.$(OBJEXT): config/$(am__dirstamp) \
1285 config/$(DEPDIR)/$(am__dirstamp)
1286 config/rx-parse.$(OBJEXT): config/$(am__dirstamp) \
1287 config/$(DEPDIR)/$(am__dirstamp)
1288 config/loongarch-parse.$(OBJEXT): config/$(am__dirstamp) \
1289 config/$(DEPDIR)/$(am__dirstamp)
1290 config/loongarch-lex.$(OBJEXT): config/$(am__dirstamp) \
1291 config/$(DEPDIR)/$(am__dirstamp)
1292
1293 as-new$(EXEEXT): $(as_new_OBJECTS) $(as_new_DEPENDENCIES) $(EXTRA_as_new_DEPENDENCIES)
1294 @rm -f as-new$(EXEEXT)
1295 $(AM_V_CCLD)$(LINK) $(as_new_OBJECTS) $(as_new_LDADD) $(LIBS)
1296
1297 itbl-test$(EXEEXT): $(itbl_test_OBJECTS) $(itbl_test_DEPENDENCIES) $(EXTRA_itbl_test_DEPENDENCIES)
1298 @rm -f itbl-test$(EXEEXT)
1299 $(AM_V_CCLD)$(LINK) $(itbl_test_OBJECTS) $(itbl_test_LDADD) $(LIBS)
1300
1301 mostlyclean-compile:
1302 -rm -f *.$(OBJEXT)
1303 -rm -f config/*.$(OBJEXT)
1304
1305 distclean-compile:
1306 -rm -f *.tab.c
1307
1308 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/app.Po@am__quote@
1309 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/as.Po@am__quote@
1310 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atof-generic.Po@am__quote@
1311 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cgen.Po@am__quote@
1312 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/codeview.Po@am__quote@
1313 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress-debug.Po@am__quote@
1314 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cond.Po@am__quote@
1315 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/depend.Po@am__quote@
1316 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dw2gencfi.Po@am__quote@
1317 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dwarf2dbg.Po@am__quote@
1318 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ecoff.Po@am__quote@
1319 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ehopt.Po@am__quote@
1320 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/expr.Po@am__quote@
1321 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-copy.Po@am__quote@
1322 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-konst.Po@am__quote@
1323 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flonum-mult.Po@am__quote@
1324 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/frags.Po@am__quote@
1325 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gen-sframe.Po@am__quote@
1326 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@
1327 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-file.Po@am__quote@
1328 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input-scrub.Po@am__quote@
1329 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-lex.Po@am__quote@
1330 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-ops.Po@am__quote@
1331 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/itbl-parse.Po@am__quote@
1332 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/listing.Po@am__quote@
1333 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/literal.Po@am__quote@
1334 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/macro.Po@am__quote@
1335 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/messages.Po@am__quote@
1336 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output-file.Po@am__quote@
1337 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read.Po@am__quote@
1338 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/remap.Po@am__quote@
1339 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sb.Po@am__quote@
1340 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sframe-opt.Po@am__quote@
1341 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stabs.Po@am__quote@
1342 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/subsegs.Po@am__quote@
1343 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/symbols.Po@am__quote@
1344 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write.Po@am__quote@
1345 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-ieee.Po@am__quote@
1346 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/atof-vax.Po@am__quote@
1347 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex-wrapper.Po@am__quote@
1348 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-lex.Po@am__quote@
1349 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/bfin-parse.Po@am__quote@
1350 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-crisaout.Po@am__quote@
1351 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-criself.Po@am__quote@
1352 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386aout.Po@am__quote@
1353 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386coff.Po@am__quote@
1354 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-i386elf.Po@am__quote@
1355 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/e-mipself.Po@am__quote@
1356 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/kvx-parse.Po@am__quote@
1357 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-lex.Po@am__quote@
1358 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/loongarch-parse.Po@am__quote@
1359 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/m68k-parse.Po@am__quote@
1360 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-aout.Po@am__quote@
1361 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-coff.Po@am__quote@
1362 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-ecoff.Po@am__quote@
1363 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-elf.Po@am__quote@
1364 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-evax.Po@am__quote@
1365 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-fdpicelf.Po@am__quote@
1366 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-macho.Po@am__quote@
1367 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-multi.Po@am__quote@
1368 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/obj-som.Po@am__quote@
1369 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rl78-parse.Po@am__quote@
1370 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/rx-parse.Po@am__quote@
1371 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-aarch64.Po@am__quote@
1372 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-alpha.Po@am__quote@
1373 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arc.Po@am__quote@
1374 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-arm.Po@am__quote@
1375 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-avr.Po@am__quote@
1376 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bfin.Po@am__quote@
1377 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-bpf.Po@am__quote@
1378 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cr16.Po@am__quote@
1379 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-cris.Po@am__quote@
1380 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-crx.Po@am__quote@
1381 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-csky.Po@am__quote@
1382 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d10v.Po@am__quote@
1383 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-d30v.Po@am__quote@
1384 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-dlx.Po@am__quote@
1385 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-epiphany.Po@am__quote@
1386 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-fr30.Po@am__quote@
1387 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-frv.Po@am__quote@
1388 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ft32.Po@am__quote@
1389 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-h8300.Po@am__quote@
1390 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-hppa.Po@am__quote@
1391 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-i386.Po@am__quote@
1392 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ia64.Po@am__quote@
1393 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ip2k.Po@am__quote@
1394 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-iq2000.Po@am__quote@
1395 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-kvx.Po@am__quote@
1396 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-lm32.Po@am__quote@
1397 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-loongarch.Po@am__quote@
1398 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32c.Po@am__quote@
1399 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m32r.Po@am__quote@
1400 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68hc11.Po@am__quote@
1401 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-m68k.Po@am__quote@
1402 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mcore.Po@am__quote@
1403 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mep.Po@am__quote@
1404 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-metag.Po@am__quote@
1405 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-microblaze.Po@am__quote@
1406 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mips.Po@am__quote@
1407 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mmix.Po@am__quote@
1408 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10200.Po@am__quote@
1409 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mn10300.Po@am__quote@
1410 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-moxie.Po@am__quote@
1411 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-msp430.Po@am__quote@
1412 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-mt.Po@am__quote@
1413 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nds32.Po@am__quote@
1414 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-nios2.Po@am__quote@
1415 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ns32k.Po@am__quote@
1416 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-or1k.Po@am__quote@
1417 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pdp11.Po@am__quote@
1418 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pj.Po@am__quote@
1419 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-ppc.Po@am__quote@
1420 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-pru.Po@am__quote@
1421 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-riscv.Po@am__quote@
1422 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rl78.Po@am__quote@
1423 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-rx.Po@am__quote@
1424 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s12z.Po@am__quote@
1425 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-s390.Po@am__quote@
1426 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-score.Po@am__quote@
1427 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sh.Po@am__quote@
1428 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-sparc.Po@am__quote@
1429 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-spu.Po@am__quote@
1430 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic30.Po@am__quote@
1431 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic4x.Po@am__quote@
1432 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic54x.Po@am__quote@
1433 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tic6x.Po@am__quote@
1434 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilegx.Po@am__quote@
1435 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-tilepro.Po@am__quote@
1436 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-v850.Po@am__quote@
1437 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-vax.Po@am__quote@
1438 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-visium.Po@am__quote@
1439 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-wasm32.Po@am__quote@
1440 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xgate.Po@am__quote@
1441 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xstormy16.Po@am__quote@
1442 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-xtensa.Po@am__quote@
1443 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z80.Po@am__quote@
1444 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/tc-z8k.Po@am__quote@
1445 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/te-vms.Po@am__quote@
1446 @AMDEP_TRUE@@am__include@ @am__quote@config/$(DEPDIR)/xtensa-relax.Po@am__quote@
1447
1448 .c.o:
1449 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1450 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1451 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1452 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1453 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1454 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1455
1456 .c.obj:
1457 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1458 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1459 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
1460 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1461 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1462 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1463
1464 .c.lo:
1465 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1466 @am__fastdepCC_TRUE@ $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1467 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Plo
1468 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1469 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1470 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1471
1472 .l.c:
1473 $(AM_V_LEX)$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
1474
1475 .y.c:
1476 $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
1477
1478 mostlyclean-libtool:
1479 -rm -f *.lo
1480
1481 clean-libtool:
1482 -rm -rf .libs _libs
1483
1484 distclean-libtool:
1485 -rm -f libtool config.lt
1486 doc/$(am__dirstamp):
1487 @$(MKDIR_P) doc
1488 @: > doc/$(am__dirstamp)
1489
1490 doc/as.info: doc/as.texi $(doc_as_TEXINFOS)
1491 @test -f doc/$(am__dirstamp) || $(MAKE) $(AM_MAKEFLAGS) doc/$(am__dirstamp)
1492 $(AM_V_MAKEINFO)restore=: && backupdir="$(am__leading_dot)am$$$$" && \
1493 rm -rf $$backupdir && mkdir $$backupdir && \
1494 if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
1495 for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
1496 if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
1497 done; \
1498 else :; fi && \
1499 if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1500 -o $@ `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1501 then \
1502 rc=0; \
1503 else \
1504 rc=$$?; \
1505 $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
1506 fi; \
1507 rm -rf $$backupdir; exit $$rc
1508
1509 doc/as.dvi: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1510 $(AM_V_TEXI2DVI)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1511 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1512 $(TEXI2DVI) $(AM_V_texinfo) --build-dir=$(@:.dvi=.t2d) -o $@ $(AM_V_texidevnull) \
1513 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1514
1515 doc/as.pdf: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1516 $(AM_V_TEXI2PDF)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1517 MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc' \
1518 $(TEXI2PDF) $(AM_V_texinfo) --build-dir=$(@:.pdf=.t2p) -o $@ $(AM_V_texidevnull) \
1519 `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi
1520
1521 doc/as.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
1522 $(AM_V_MAKEINFO)rm -rf $(@:.html=.htp)
1523 $(AM_V_at)if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I doc -I $(srcdir)/doc \
1524 -o $(@:.html=.htp) `test -f 'doc/as.texi' || echo '$(srcdir)/'`doc/as.texi; \
1525 then \
1526 rm -rf $@ && mv $(@:.html=.htp) $@; \
1527 else \
1528 rm -rf $(@:.html=.htp); exit 1; \
1529 fi
1530 .dvi.ps:
1531 $(AM_V_DVIPS)TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
1532 $(DVIPS) $(AM_V_texinfo) -o $@ $<
1533
1534 uninstall-dvi-am:
1535 @$(NORMAL_UNINSTALL)
1536 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1537 for p in $$list; do \
1538 $(am__strip_dir) \
1539 echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
1540 rm -f "$(DESTDIR)$(dvidir)/$$f"; \
1541 done
1542
1543 uninstall-html-am:
1544 @$(NORMAL_UNINSTALL)
1545 @list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
1546 for p in $$list; do \
1547 $(am__strip_dir) \
1548 echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
1549 rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
1550 done
1551
1552 uninstall-info-am:
1553 @$(PRE_UNINSTALL)
1554 @if test -d '$(DESTDIR)$(infodir)' && $(am__can_run_installinfo); then \
1555 list='$(INFO_DEPS)'; \
1556 for file in $$list; do \
1557 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1558 echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
1559 if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
1560 then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
1561 done; \
1562 else :; fi
1563 @$(NORMAL_UNINSTALL)
1564 @list='$(INFO_DEPS)'; \
1565 for file in $$list; do \
1566 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1567 relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
1568 (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
1569 echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
1570 rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
1571 else :; fi); \
1572 done
1573
1574 uninstall-pdf-am:
1575 @$(NORMAL_UNINSTALL)
1576 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1577 for p in $$list; do \
1578 $(am__strip_dir) \
1579 echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
1580 rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
1581 done
1582
1583 uninstall-ps-am:
1584 @$(NORMAL_UNINSTALL)
1585 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1586 for p in $$list; do \
1587 $(am__strip_dir) \
1588 echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
1589 rm -f "$(DESTDIR)$(psdir)/$$f"; \
1590 done
1591
1592 dist-info: $(INFO_DEPS)
1593 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1594 list='$(INFO_DEPS)'; \
1595 for base in $$list; do \
1596 case $$base in \
1597 $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
1598 esac; \
1599 if test -f $$base; then d=.; else d=$(srcdir); fi; \
1600 base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
1601 for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
1602 if test -f $$file; then \
1603 relfile=`expr "$$file" : "$$d/\(.*\)"`; \
1604 test -f "$(distdir)/$$relfile" || \
1605 cp -p $$file "$(distdir)/$$relfile"; \
1606 else :; fi; \
1607 done; \
1608 done
1609
1610 mostlyclean-aminfo:
1611 -rm -rf doc/as.t2d doc/as.t2p
1612
1613 clean-aminfo:
1614 -test -z "doc/as.dvi doc/as.pdf doc/as.ps doc/as.html" \
1615 || rm -rf doc/as.dvi doc/as.pdf doc/as.ps doc/as.html
1616
1617 maintainer-clean-aminfo:
1618 @list='$(INFO_DEPS)'; for i in $$list; do \
1619 i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
1620 echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
1621 rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
1622 done
1623 install-man1: $(man_MANS)
1624 @$(NORMAL_INSTALL)
1625 @list1=''; \
1626 list2='$(man_MANS)'; \
1627 test -n "$(man1dir)" \
1628 && test -n "`echo $$list1$$list2`" \
1629 || exit 0; \
1630 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
1631 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
1632 { for i in $$list1; do echo "$$i"; done; \
1633 if test -n "$$list2"; then \
1634 for i in $$list2; do echo "$$i"; done \
1635 | sed -n '/\.1[a-z]*$$/p'; \
1636 fi; \
1637 } | while read p; do \
1638 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1639 echo "$$d$$p"; echo "$$p"; \
1640 done | \
1641 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1642 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1643 sed 'N;N;s,\n, ,g' | { \
1644 list=; while read file base inst; do \
1645 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1646 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
1647 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
1648 fi; \
1649 done; \
1650 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1651 while read files; do \
1652 test -z "$$files" || { \
1653 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
1654 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
1655 done; }
1656
1657 uninstall-man1:
1658 @$(NORMAL_UNINSTALL)
1659 @list=''; test -n "$(man1dir)" || exit 0; \
1660 files=`{ for i in $$list; do echo "$$i"; done; \
1661 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1662 sed -n '/\.1[a-z]*$$/p'; \
1663 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1664 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1665 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
1666
1667 # This directory's subdirectories are mostly independent; you can cd
1668 # into them and run 'make' without going through this Makefile.
1669 # To change the values of 'make' variables: instead of editing Makefiles,
1670 # (1) if the variable is set in 'config.status', edit 'config.status'
1671 # (which will cause the Makefiles to be regenerated when you run 'make');
1672 # (2) otherwise, pass the desired values on the 'make' command line.
1673 $(am__recursive_targets):
1674 @fail=; \
1675 if $(am__make_keepgoing); then \
1676 failcom='fail=yes'; \
1677 else \
1678 failcom='exit 1'; \
1679 fi; \
1680 dot_seen=no; \
1681 target=`echo $@ | sed s/-recursive//`; \
1682 case "$@" in \
1683 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1684 *) list='$(SUBDIRS)' ;; \
1685 esac; \
1686 for subdir in $$list; do \
1687 echo "Making $$target in $$subdir"; \
1688 if test "$$subdir" = "."; then \
1689 dot_seen=yes; \
1690 local_target="$$target-am"; \
1691 else \
1692 local_target="$$target"; \
1693 fi; \
1694 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1695 || eval $$failcom; \
1696 done; \
1697 if test "$$dot_seen" = "no"; then \
1698 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1699 fi; test -z "$$fail"
1700
1701 ID: $(am__tagged_files)
1702 $(am__define_uniq_tagged_files); mkid -fID $$unique
1703 tags: tags-recursive
1704 TAGS: tags
1705
1706 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1707 set x; \
1708 here=`pwd`; \
1709 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1710 include_option=--etags-include; \
1711 empty_fix=.; \
1712 else \
1713 include_option=--include; \
1714 empty_fix=; \
1715 fi; \
1716 list='$(SUBDIRS)'; for subdir in $$list; do \
1717 if test "$$subdir" = .; then :; else \
1718 test ! -f $$subdir/TAGS || \
1719 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1720 fi; \
1721 done; \
1722 $(am__define_uniq_tagged_files); \
1723 shift; \
1724 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1725 test -n "$$unique" || unique=$$empty_fix; \
1726 if test $$# -gt 0; then \
1727 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1728 "$$@" $$unique; \
1729 else \
1730 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1731 $$unique; \
1732 fi; \
1733 fi
1734 ctags: ctags-recursive
1735
1736 CTAGS: ctags
1737 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1738 $(am__define_uniq_tagged_files); \
1739 test -z "$(CTAGS_ARGS)$$unique" \
1740 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1741 $$unique
1742
1743 GTAGS:
1744 here=`$(am__cd) $(top_builddir) && pwd` \
1745 && $(am__cd) $(top_srcdir) \
1746 && gtags -i $(GTAGS_ARGS) "$$here"
1747 cscope: cscope.files
1748 test ! -s cscope.files \
1749 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1750 clean-cscope:
1751 -rm -f cscope.files
1752 cscope.files: clean-cscope cscopelist
1753 cscopelist: cscopelist-recursive
1754
1755 cscopelist-am: $(am__tagged_files)
1756 list='$(am__tagged_files)'; \
1757 case "$(srcdir)" in \
1758 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1759 *) sdir=$(subdir)/$(srcdir) ;; \
1760 esac; \
1761 for i in $$list; do \
1762 if test -f "$$i"; then \
1763 echo "$(subdir)/$$i"; \
1764 else \
1765 echo "$$sdir/$$i"; \
1766 fi; \
1767 done >> $(top_builddir)/cscope.files
1768
1769 distclean-tags:
1770 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1771 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1772 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1773 @echo 'Making a new site.exp file ...'
1774 @echo '## these variables are automatically generated by make ##' >site.tmp
1775 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1776 @echo '# edit the last section' >>site.tmp
1777 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1778 @echo "set objdir `pwd`" >>site.tmp
1779 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1780 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1781 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1782 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1783 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1784 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1785 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1786 echo "## Begin content included from file $$f. Do not modify. ##" \
1787 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1788 && echo "## End content included from file $$f. ##" \
1789 || exit 1; \
1790 done >> site.tmp
1791 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1792 @if test -f site.exp; then \
1793 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1794 fi
1795 @-rm -f site.bak
1796 @test ! -f site.exp || mv site.exp site.bak
1797 @mv site.tmp site.exp
1798
1799 distclean-DEJAGNU:
1800 -rm -f site.exp site.bak
1801 -l='$(DEJATOOL)'; for tool in $$l; do \
1802 rm -f $$tool.sum $$tool.log; \
1803 done
1804 check-am: all-am
1805 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU
1806 check: check-recursive
1807 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(SCRIPTS) $(MANS) config.h
1808 installdirs: installdirs-recursive
1809 installdirs-am:
1810 for dir in "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
1811 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1812 done
1813 install: install-recursive
1814 install-exec: install-exec-recursive
1815 install-data: install-data-recursive
1816 uninstall: uninstall-recursive
1817
1818 install-am: all-am
1819 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1820
1821 installcheck: installcheck-recursive
1822 install-strip:
1823 if test -z '$(STRIP)'; then \
1824 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1825 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1826 install; \
1827 else \
1828 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1829 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1830 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1831 fi
1832 mostlyclean-generic:
1833 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1834
1835 clean-generic:
1836
1837 distclean-generic:
1838 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1839 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1840 -rm -f config/$(DEPDIR)/$(am__dirstamp)
1841 -rm -f config/$(am__dirstamp)
1842 -rm -f doc/$(am__dirstamp)
1843 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1844
1845 maintainer-clean-generic:
1846 @echo "This command is intended for maintainers to use"
1847 @echo "it deletes files that may require special tools to rebuild."
1848 -rm -f config/bfin-lex.c
1849 -rm -f config/bfin-parse.c
1850 -rm -f config/loongarch-lex.c
1851 -rm -f config/loongarch-parse.c
1852 -rm -f config/m68k-parse.c
1853 -rm -f config/rl78-parse.c
1854 -rm -f config/rx-parse.c
1855 -rm -f itbl-lex.c
1856 -rm -f itbl-parse.c
1857 -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
1858 clean: clean-recursive
1859
1860 clean-am: clean-aminfo clean-generic clean-libtool \
1861 clean-noinstPROGRAMS mostlyclean-am
1862
1863 distclean: distclean-recursive
1864 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1865 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
1866 -rm -f Makefile
1867 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1868 distclean-generic distclean-hdr distclean-libtool \
1869 distclean-tags
1870
1871 dvi: dvi-recursive
1872
1873 dvi-am: $(DVIS)
1874
1875 html: html-recursive
1876
1877 html-am: $(HTMLS) html-local
1878
1879 info: info-recursive
1880
1881 info-am: $(INFO_DEPS) info-local
1882
1883 install-data-am: install-info-am install-man
1884
1885 install-dvi: install-dvi-recursive
1886
1887 install-dvi-am: $(DVIS)
1888 @$(NORMAL_INSTALL)
1889 @list='$(DVIS)'; test -n "$(dvidir)" || list=; \
1890 if test -n "$$list"; then \
1891 echo " $(MKDIR_P) '$(DESTDIR)$(dvidir)'"; \
1892 $(MKDIR_P) "$(DESTDIR)$(dvidir)" || exit 1; \
1893 fi; \
1894 for p in $$list; do \
1895 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1896 echo "$$d$$p"; \
1897 done | $(am__base_list) | \
1898 while read files; do \
1899 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
1900 $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
1901 done
1902 install-exec-am: install-exec-local
1903
1904 install-html: install-html-recursive
1905
1906 install-html-am: $(HTMLS)
1907 @$(NORMAL_INSTALL)
1908 @list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
1909 if test -n "$$list"; then \
1910 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)'"; \
1911 $(MKDIR_P) "$(DESTDIR)$(htmldir)" || exit 1; \
1912 fi; \
1913 for p in $$list; do \
1914 if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
1915 $(am__strip_dir) \
1916 d2=$$d$$p; \
1917 if test -d "$$d2"; then \
1918 echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
1919 $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
1920 echo " $(INSTALL_DATA) '$$d2'/* '$(DESTDIR)$(htmldir)/$$f'"; \
1921 $(INSTALL_DATA) "$$d2"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
1922 else \
1923 list2="$$list2 $$d2"; \
1924 fi; \
1925 done; \
1926 test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
1927 while read files; do \
1928 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
1929 $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
1930 done; }
1931 install-info: install-info-recursive
1932
1933 install-info-am: $(INFO_DEPS)
1934 @$(NORMAL_INSTALL)
1935 @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
1936 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1937 if test -n "$$list"; then \
1938 echo " $(MKDIR_P) '$(DESTDIR)$(infodir)'"; \
1939 $(MKDIR_P) "$(DESTDIR)$(infodir)" || exit 1; \
1940 fi; \
1941 for file in $$list; do \
1942 case $$file in \
1943 $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
1944 esac; \
1945 if test -f $$file; then d=.; else d=$(srcdir); fi; \
1946 file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
1947 for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
1948 $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
1949 if test -f $$ifile; then \
1950 echo "$$ifile"; \
1951 else : ; fi; \
1952 done; \
1953 done | $(am__base_list) | \
1954 while read files; do \
1955 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
1956 $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
1957 @$(POST_INSTALL)
1958 @if $(am__can_run_installinfo); then \
1959 list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
1960 for file in $$list; do \
1961 relfile=`echo "$$file" | sed 's|^.*/||'`; \
1962 echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
1963 install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
1964 done; \
1965 else : ; fi
1966 install-man: install-man1
1967
1968 install-pdf: install-pdf-recursive
1969
1970 install-pdf-am: $(PDFS)
1971 @$(NORMAL_INSTALL)
1972 @list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
1973 if test -n "$$list"; then \
1974 echo " $(MKDIR_P) '$(DESTDIR)$(pdfdir)'"; \
1975 $(MKDIR_P) "$(DESTDIR)$(pdfdir)" || exit 1; \
1976 fi; \
1977 for p in $$list; do \
1978 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1979 echo "$$d$$p"; \
1980 done | $(am__base_list) | \
1981 while read files; do \
1982 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
1983 $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
1984 install-ps: install-ps-recursive
1985
1986 install-ps-am: $(PSS)
1987 @$(NORMAL_INSTALL)
1988 @list='$(PSS)'; test -n "$(psdir)" || list=; \
1989 if test -n "$$list"; then \
1990 echo " $(MKDIR_P) '$(DESTDIR)$(psdir)'"; \
1991 $(MKDIR_P) "$(DESTDIR)$(psdir)" || exit 1; \
1992 fi; \
1993 for p in $$list; do \
1994 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1995 echo "$$d$$p"; \
1996 done | $(am__base_list) | \
1997 while read files; do \
1998 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
1999 $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
2000 installcheck-am:
2001
2002 maintainer-clean: maintainer-clean-recursive
2003 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
2004 -rm -rf $(top_srcdir)/autom4te.cache
2005 -rm -rf ./$(DEPDIR) config/$(DEPDIR)
2006 -rm -f Makefile
2007 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
2008 maintainer-clean-generic
2009
2010 mostlyclean: mostlyclean-recursive
2011
2012 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
2013 mostlyclean-generic mostlyclean-libtool
2014
2015 pdf: pdf-recursive
2016
2017 pdf-am: $(PDFS)
2018
2019 ps: ps-recursive
2020
2021 ps-am: $(PSS)
2022
2023 uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
2024 uninstall-man uninstall-pdf-am uninstall-ps-am
2025
2026 uninstall-man: uninstall-man1
2027
2028 .MAKE: $(am__recursive_targets) all check-am install-am install-strip
2029
2030 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
2031 am--refresh check check-DEJAGNU check-am clean clean-aminfo \
2032 clean-cscope clean-generic clean-libtool clean-noinstPROGRAMS \
2033 cscope cscopelist-am ctags ctags-am dist-info distclean \
2034 distclean-DEJAGNU distclean-compile distclean-generic \
2035 distclean-hdr distclean-libtool distclean-tags dvi dvi-am html \
2036 html-am html-local info info-am info-local install install-am \
2037 install-data install-data-am install-dvi install-dvi-am \
2038 install-exec install-exec-am install-exec-local install-html \
2039 install-html-am install-info install-info-am install-man \
2040 install-man1 install-pdf install-pdf-am install-ps \
2041 install-ps-am install-strip installcheck installcheck-am \
2042 installdirs installdirs-am maintainer-clean \
2043 maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
2044 mostlyclean-aminfo mostlyclean-compile mostlyclean-generic \
2045 mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
2046 uninstall-am uninstall-dvi-am uninstall-html-am \
2047 uninstall-info-am uninstall-man uninstall-man1 \
2048 uninstall-pdf-am uninstall-ps-am
2049
2050 .PRECIOUS: Makefile
2051
2052 po/POTFILES.in: @MAINT@ Makefile
2053 for f in $(POTFILES); do echo $$f; done | LC_ALL=C sort > tmp \
2054 && mv tmp $(srcdir)/po/POTFILES.in
2055
2056 diststuff: $(EXTRA_DIST) info
2057
2058 check-DEJAGNU: site.exp
2059 if [ -d testsuite ]; then \
2060 true; \
2061 else \
2062 mkdir testsuite; \
2063 fi
2064 rm -f testsuite/site.exp
2065 cp site.exp testsuite/site.exp
2066 rootme=`pwd`; export rootme; \
2067 srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
2068 LC_ALL=C; export LC_ALL; \
2069 EXPECT=${EXPECT} ; export EXPECT ; \
2070 runtest=$(RUNTEST); \
2071 cd testsuite; \
2072 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
2073 $$runtest --tool $(DEJATOOL) --srcdir $${srcdir}/testsuite \
2074 $(RUNTESTFLAGS); \
2075 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
2076 fi
2077
2078 development.exp: $(BFDDIR)/development.sh
2079 $(EGREP) "(development|experimental)=" $(BFDDIR)/development.sh \
2080 | $(AWK) -F= '{ print "set " $$1 " " $$2 }' > $@
2081
2082 config/tc-i386.o: $(srcdir)/../opcodes/i386-init.h $(srcdir)/../opcodes/i386-tbl.h
2083
2084 $(srcdir)/../opcodes/i386%init.h $(srcdir)/../opcodes/i386%tbl.h $(srcdir)/../opcodes/i386%mnem.h: @MAINT@ $(i386_tbl_deps)
2085 @echo '"$@" is outdated wrt "$?"' >&2
2086 @echo 'Please rebuild from the top level or in $(CURDIR)/../opcodes/' >&2
2087 @false
2088 config/m68k-parse.c: $(srcdir)/config/m68k-parse.y
2089 $(SHELL) $(YLWRAP) $(srcdir)/config/m68k-parse.y y.tab.c $@ -- $(YACCCOMPILE)
2090 config/m68k-parse.h: config/m68k-parse.c
2091 @true
2092 config/bfin-parse.c: $(srcdir)/config/bfin-parse.y
2093 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-parse.y y.tab.c $@ y.tab.h config/bfin-parse.h -- $(YACCCOMPILE) -d ;
2094 config/bfin-parse.h: config/bfin-parse.c
2095 @true
2096 config/bfin-lex.c: $(srcdir)/config/bfin-lex.l
2097 $(SHELL) $(YLWRAP) $(srcdir)/config/bfin-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2098
2099 config/bfin-lex-wrapper.@OBJEXT@: config/bfin-lex.c config/bfin-parse.h
2100 config/rl78-parse.c: $(srcdir)/config/rl78-parse.y
2101 $(SHELL) $(YLWRAP) $(srcdir)/config/rl78-parse.y y.tab.c $@ y.tab.h config/rl78-parse.h -- $(YACCCOMPILE) -d ;
2102 config/rl78-parse.h: config/rl78-parse.c
2103 @true
2104 config/rx-parse.c: $(srcdir)/config/rx-parse.y
2105 $(SHELL) $(YLWRAP) $(srcdir)/config/rx-parse.y y.tab.c $@ y.tab.h config/rx-parse.h -- $(YACCCOMPILE) -d ;
2106 config/rx-parse.h: config/rx-parse.c
2107 @true
2108 config/loongarch-parse.c: $(srcdir)/config/loongarch-parse.y
2109 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-parse.y y.tab.c $@ y.tab.h config/loongarch-parse.h -- $(YACCCOMPILE) -d ;
2110 config/loongarch-parse.h: config/loongarch-parse.c
2111 @true
2112 config/loongarch-lex.c: $(srcdir)/config/loongarch-lex.l
2113 $(SHELL) $(YLWRAP) $(srcdir)/config/loongarch-lex.l lex.yy.c $@ -- $(LEXCOMPILE)
2114
2115 config/loongarch-lex-wrapper.@OBJEXT@: config/loongarch-lex.c config/loongarch-parse.h
2116
2117 # The mips instruction table specification lexical analyzer and parser.
2118
2119 itbl-lex-wrapper.@OBJEXT@: itbl-lex.c itbl-parse.h
2120
2121 itbl-parse.c: $(srcdir)/itbl-parse.y
2122 $(SHELL) $(YLWRAP) $(srcdir)/itbl-parse.y y.tab.c $@ y.tab.h itbl-parse.h -- $(YACCCOMPILE) -d
2123
2124 itbl-parse.h: itbl-parse.c
2125 @true
2126
2127 itbl-ops.@OBJEXT@: itbl-parse.h
2128
2129 itbl-tops.@OBJEXT@: itbl-ops.c itbl-parse.h
2130 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -o $@ -c -DSTAND_ALONE $(srcdir)/itbl-ops.c
2131 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2132 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-ops.c' object='$@' libtool=no @AMDEPBACKSLASH@
2133 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2134 @am__fastdepCC_FALSE@ $(COMPILE) -o $@ -DSTAND_ALONE -c $(srcdir)/itbl-ops.c
2135
2136 itbl-test.@OBJEXT@: $(srcdir)/testsuite/gas/all/itbl-test.c
2137 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2138 @am__fastdepCC_TRUE@ mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
2139 @AMDEP_TRUE@@am__fastdepCC_FALSE@ source='itbl-test.c' object='$@' libtool=no @AMDEPBACKSLASH@
2140 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
2141 @am__fastdepCC_FALSE@ $(COMPILE) -c -DSTAND_ALONE $(srcdir)/testsuite/gas/all/itbl-test.c
2142
2143 cgen.@OBJEXT@: cgen.c cgen.h cgen-desc.h subsegs.h \
2144 $(INCDIR)/obstack.h $(INCDIR)/opcode/cgen.h \
2145 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-desc.h \
2146 $(srcdir)/../opcodes/$(CGEN_CPU_PREFIX)-opc.h
2147
2148 .PHONY: install-exec-local install-data-local
2149 .PHONY: install-exec-bindir install-exec-tooldir
2150
2151 install-exec-local: install-exec-bindir @install_tooldir@
2152
2153 install-exec-bindir: $(noinst_PROGRAMS)
2154 $(mkinstalldirs) $(DESTDIR)$(bindir)
2155 @list='$(noinst_PROGRAMS)'; for p in $$list; do \
2156 if test -f $$p; then \
2157 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
2158 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed -e 's/$(EXEEXT)$$//' -e 's/-new//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
2159 else :; fi; \
2160 done
2161
2162 install-exec-tooldir: install-exec-bindir $(noinst_PROGRAMS)
2163 $(mkinstalldirs) $(DESTDIR)$(tooldir)/bin
2164 n=`echo as | sed '$(transform)'`; \
2165 if [ "$(bindir)/$$n$(EXEEXT)" != "$(tooldir)/bin/as$(EXEEXT)" ]; then \
2166 rm -f $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2167 ln $(DESTDIR)$(bindir)/$$n$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT) >/dev/null 2>/dev/null \
2168 || $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(INSTALL_PROGRAM) as-new$(EXEEXT) $(DESTDIR)$(tooldir)/bin/as$(EXEEXT); \
2169 else \
2170 true ; \
2171 fi
2172
2173 # These exist for maintenance purposes.
2174
2175 .PHONY: bootstrap bootstrap2 bootstrap3 stage1 stage2 stage3 comparison
2176
2177 bootstrap: as-new$(EXEEXT)
2178 $(MAKE) stage1
2179 rm -f stage && ln -s stage1 stage
2180 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2181 $(MAKE) stage2
2182 rm -f stage && ln -s stage2 stage
2183 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2184 $(MAKE) comparison against=stage2
2185
2186 bootstrap2:
2187 rm -f stage && ln -s stage1 stage
2188 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2189 $(MAKE) stage2
2190 rm -f stage && ln -s stage2 stage
2191 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2192 $(MAKE) comparison against=stage2
2193
2194 bootstrap3:
2195 rm -f stage && ln -s stage2 stage
2196 $(MAKE) CC="$(CC)" CFLAGS="-O -Bstage/ $(CFLAGS)" libdir=$(libdir) ALLOCA= $(noinst_PROGRAMS)
2197 $(MAKE) comparison against=stage2
2198
2199 # Copy the object files from a particular stage into a subdirectory.
2200 stage1:
2201 -mkdir stage1
2202 -mv $(STAGESTUFF) stage1
2203 if [ -f stage1/as-new$(EXEEXT) -a ! -f stage1/as$(EXEEXT) ] ; then (cd stage1 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2204
2205 stage2:
2206 -mkdir stage2
2207 -mv $(STAGESTUFF) stage2
2208 if [ -f stage2/as-new$(EXEEXT) -a ! -f stage2/as$(EXEEXT) ] ; then (cd stage2 ; ln -s as-new$(EXEEXT) as$(EXEEXT)) ; fi
2209
2210 stage3:
2211 -mkdir stage3
2212 -mv $(STAGESTUFF) stage3
2213 if [ -f stage3/as-new$(EXEEXT) -a ! -f stage3/as$(EXEEXT) ] ; then (cd stage3 ; ln -s as-new as$(EXEEXT)) ; fi
2214
2215 comparison:
2216 x=0 ; \
2217 for file in *.@OBJEXT@ ; do \
2218 f1=./$$file; f2=${against}/$$file; \
2219 $(do_compare) > /dev/null 2>&1; \
2220 if test $$? -ne 0; then \
2221 echo $$file differs ; \
2222 x=1 ; \
2223 fi ; \
2224 done ; \
2225 exit $$x
2226 -rm -f tmp-foo*
2227
2228 .PHONY: de-stage1 de-stage2 de-stage3
2229
2230 de-stage1:
2231 - (cd stage1 ; rm -f as$(EXEEXT) ; mv -f * ..)
2232 - rmdir stage1
2233
2234 de-stage2:
2235 - (cd stage2 ; rm -f as$(EXEEXT) ; mv -f * ..)
2236 - rmdir stage2
2237
2238 de-stage3:
2239 - (cd stage3 ; rm -f as$(EXEEXT) ; mv -f * ..)
2240 - rmdir stage3
2241
2242 doc/asconfig.texi: doc/$(CONFIG).texi doc/$(am__dirstamp)
2243 $(AM_V_at)rm -f doc/asconfig.texi
2244 $(AM_V_GEN)cp $(srcdir)/doc/$(CONFIG).texi doc/asconfig.texi && touch -m -r $(srcdir)/doc/$(CONFIG).texi doc/asconfig.texi
2245 $(AM_V_at)chmod u+w doc/asconfig.texi
2246
2247 # Maintenance
2248
2249 # We need it for the taz target in ../Makefile.in.
2250 info-local: $(MANS)
2251
2252 # Build the man page from the texinfo file
2253 # The sed command removes the no-adjust Nroff command so that
2254 # the man output looks standard.
2255 doc/as.1: $(srcdir)/doc/as.texi doc/asconfig.texi $(CPU_DOCS) doc/$(am__dirstamp)
2256 $(AM_V_GEN)touch $@
2257 $(AM_V_at)-$(TEXI2POD) $(MANCONF) < $(srcdir)/doc/as.texi > doc/as.pod
2258 $(AM_V_at)-($(POD2MAN) doc/as.pod | \
2259 sed -e '/^.if n .na/d' > $@.T$$$$ && \
2260 mv -f $@.T$$$$ $@) || \
2261 (rm -f $@.T$$$$ && exit 1)
2262 $(AM_V_at)rm -f doc/as.pod
2263
2264 html-local: doc/as/index.html
2265 doc/as/index.html: doc/as.texi $(doc_as_TEXINFOS) doc/$(am__dirstamp)
2266 $(AM_V_GEN)$(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) \
2267 --split=node -I$(srcdir)/doc -o doc/as $(srcdir)/doc/as.texi
2268
2269 # Tell versions [3.59,3.63) of GNU make to not export all variables.
2270 # Otherwise a system limit (for SysV at least) may be exceeded.
2271 .NOEXPORT: